> ## Name

> cgIsAnnotation - determine if an annotation handle references a valid annotation

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsAnnotation( CGannotation ann );

> ## Parameters

> ann
>   The annotation handle to check.

> ## Return Values

> Returns CG_TRUE if ann references a valid annotation.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsAnnotation returns CG_TRUE if ann references a valid annotation, CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsAnnotation was introduced in Cg 1.4.

> ## See Also

> cgGetNextAnnotation, cgGetAnnotationName, cgGetAnnotationType, cgCreateEffectAnnotation, cgCreateParameterAnnotation, cgCreatePassAnnotation, cgCreateProgramAnnotation, cgCreateTechniqueAnnotation